function tab = acou_detpic (H,nbfreq,Fmax)
%
% tab = acou_detpic(H,nbfreq,Fmax);
%	Detection des pics de la fonction de transfert
%	 frequence, amplitude en dB, bande passante
%	
%	Solange ROSSATO		13-Janv-97

% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02


tab = zeros(6,4) ;
k = 1 ;

for i = 2:nbfreq-2
	h1 = abs(H(i-1)) ; 
	h2 = abs(H(i)) ;
   h3 = abs(H(i+1)) ;
   h4 = abs(H(i+2)) ;
   if ((h2>h1 & h2>h3) | (h2>h1 & h2==h3 & h3>h4) )
		cc = h2^2 ;
		d1 = h3^2-cc ;
		d2 = cc-h1^2 ;
		aa = d1-d2 ;
		bb = d1+d2 ;
		sa = 1/aa ;
		bsa = bb*sa ;
		fsa = sa*Fmax/nbfreq ;
		pk = cc-0.125*bb*bsa;
		spk = 8.68589/pk ;
		dd = cc-0.5*pk ;
		gg=bb^2-8*aa*dd ;
		g2 = 0.5*(bb^2-8*aa*cc) ;
		fmax = (i-0.5*bsa)*Fmax/nbfreq ;
		pic = 10*log10(pk);
		band = -sqrt(gg)*fsa ;
		tab(k,1:4) = [k fmax pic band];
		
		k=k+1 ;
	end
end
%fprintf(1,'%3d  %15.10f  %15.10f  %15.10f\n',tab'); 