%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	28/11/96
%	Solange ROSSATO
%   M=acou_evolut(sig,p,fe, past, Lt);

% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [M,t,f]=acou_evolut(sig, p, fe, past, Lt);

% trame de longueur
N = round(Lt*fe);

% pas de l'etude en ms 
pas=round(past*fe);
maxi=fix((length(sig)-N)/pas);	%nombre de trames de N echantillons 
M=[];
for i=(1:pas:(maxi)*pas)
	sg=sig(i:i+N-1); % on ne prend que la fenetre de longueur Lt
	M=[M acou_lpcform(sg,p,fe)];
end
M=M((1:round(N)), :);
t=((1:maxi)*pas+N/2)/fe*1000;
f=(1:N)*fe/2/N;
%mesh(t,f,abs(M)),colormap(pink),view(0,90),brighten(0.4),shading flat;