% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_filtre_action.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Contenu : Lecture des caractristiques du
%          filtre des donnes acoustiques
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_filtre_action(num)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  acou_filtre_action(num)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

% Rcupre les handle sur des Edit
edit = findobj(gcf,'Style','edit');

if ~isempty(edit)
    fc = get(edit(1),'String');
else
    fc = '';
end
   
if isempty(fc) & num ~= 3
  errordlg(' Veuillez rentrer le paramtre','Erreur','on');
elseif num ~= 3
  delete(gcf);
  acou_filtres(num,str2num(fc));
else
  acou_filtres(num,str2num(fc));
end
