% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : dialogue.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Contenu : Dfinition de la boite de dialogue
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[num_fen] = dialogue(chaine)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : dialogue(chaine)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

% Dfinition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');
% num_fen = figure('Numbertitle','off','Name',chaine,...
%     'Units','pixel','MenuBar','none','Position',[taille_ecran(3)/2-160 ...
%       taille_ecran(4)/2-90 320 280]);
num_fen = figure('Numbertitle','off','Name',chaine,...
    'Units','pixel','MenuBar','none','Position',[taille_ecran(3)/2-160 ...
      taille_ecran(4)/2-90 320 420]);

% Dfinition des boutons OK et Cancel
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 40]);
uicontrol(num_fen,'Style','PushButton','String','OK',...
    'Position',[taille_fen(3)/2-80 5 60 30],'Callback','lance_actions');

uicontrol(num_fen,'Style','PushButton','String','Cancel',...
    'Position',[taille_fen(3)/2+40 5 60 30],'Callback','delete(gcf)');

uicontrol(num_fen,'Style','Frame',...
    'Position',[0 40 taille_fen(3) taille_fen(4)-40]);
