% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_ouv_dlg.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 05/07/06
% Contenu : Boite de saisie du nom du fichier EGG issu de la carte DT3016
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_ouv_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_ouv_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

% Demande du nom du fichier EGG
%=====================================
uicontrol(num_fen,'Style','Text','String','Nom du fichier EGG (.dcf) :',...
    'Position',[10 taille_fen(4)/2+20 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2 taille_fen(3)-20 20]);
    

