% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_traj.m
% Source : Matlab
% Auteur : CS
% Date : 06/07/06
% Contenu : Trace la trajectoire du signal EGG
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_traj(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_traj(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EGG_TPS

% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end

trace_graphe(sig,EGG_TPS,['TRAJ. ',nom], '-', [ 1 1 0]);

