% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_enr_pal.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de Cration : 21.06.99
% Contenu : Enregistrement de la bobine de suivi  
%          du palais entre les points specifis.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_enr_pal

% EMA_PALAIS = [EMA_PAL_X; EMA_PAL_Y];
% EMA_FIC_PAL = 'X:\AG200\Appsy\berbere\AA_150310\mat\palais_aa_002.pal';

global EMA_FIC_PAL EMA_PALAIS

fid = fopen(EMA_FIC_PAL,'w','ieee-le');

if fid < 1
   chaine_erreur = ['Fichier ' EMA_FIC_PAL 'impossible  ouvrir !!'];
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

%fwrite(fid,EMA_PALAIS*1000,'ushort');
fprintf(fid,'%f\n', EMA_PALAIS);
fclose(fid);
