% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_action.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.09.99
% Contenu : Lecture des options des fichiers EPG
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_action

global EPG_FECH EPG_NOM_LOC

% On recupere les objets de type Edit
fils_edit = findobj(gcf,'Style','edit');

temp = get(fils_edit,'String');

if isempty(temp)
  errordlg(' Veuillez rentrer une valeur','Erreur','on');

else 
  fils_edit = findobj(gcf,'Style','text');
  if strcmp(get(fils_edit,'String'),'Frquence chantillonnage :')
    EPG_FECH = str2num(temp);
  elseif strcmp(get(fils_edit,'String'),'Nom du locuteur :')
    EPG_NOM_LOC = temp;
  end

  delete(gcf);
end 
