% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_echelle.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
%
% Modifi pas CS le 15/09/16 : suppression du tri
%
% Contenu : Lecture de l'chelle des axes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [xmin,xmax,ymin,ymax] = lire_echelle

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
%[edit_tries, ind_edit_tries] = sort(obj_edit);

% On lit les donnes rentres par l'utilisateur
% xmin = str2double(get(obj_edit(ind_edit_tries(1)),'String'));
% xmax = str2double(get(obj_edit(ind_edit_tries(2)),'String'));
% ymin = str2double(get(obj_edit(ind_edit_tries(3)),'String'));
% ymax = str2double(get(obj_edit(ind_edit_tries(4)),'String'));
xmin = str2double(get(obj_edit(4),'String'));
xmax = str2double(get(obj_edit(3),'String'));
ymin = str2double(get(obj_edit(2),'String'));
ymax = str2double(get(obj_edit(1),'String'));

% Si une des variables est vide, alors Erreur!
if (isempty(xmin) || isempty(xmax) || isempty(ymin) || isempty(ymax))
  errordlg(' Il manque une valeur','Erreur','on');
  xmin = [];
else
% Si les valeurs ne sont pas cohrentes, erreur  
  if (xmin >= xmax) || (ymin >= ymax)
    errordlg(' Le min doit etre infrieur au max','Erreur','on');
    xmin = [];
  else
    delete(gcf);
  end
end

