% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_filt.m
% Source : Matlab
% Auteur : CS
% Date : 08/12/03
% Contenu : Lecture des caractristiques du
%           filtre PBas de Chebyshev pour donnes autres qu'acoustiques
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function lire_filt

global CHEBY_FREQ_COUP

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

fc = get(obj_edit(ind_edit_tries(1)),'String');

if isempty(fc)
  errordlg(' Veuillez rentrer un paramtre','Erreur','on');
else
  CHEBY_FREQ_COUP = str2num(fc);
  delete(gcf);
end
