% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_nom_mesures.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 31.01.2000
% Contenu : Lecture du nom des mesures
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_nom_mesures

global MES_NOM MES_NB

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

for i = 1 : MES_NB
   nom = get(obj_edit(ind_edit_tries(i)),'String');
   MES_NOM(i,1:length(nom)) = nom;
end

delete(gcf);

