% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_ouv_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 06.07.99
% Contenu : Boite de saisie du nom du fichier
%           et du nombre total de mesures qu'il contient.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_ouv_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : mes_ouv_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

% Demande du nom du fichier de mesures
%=====================================
uicontrol(num_fen,'Style','Text','String','Nom du fichier de mesures :',...
    'Position',[10 taille_fen(4)/2+20 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2 taille_fen(3)-20 20]);
