% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : plot_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Contenu : Saisie du menu d'un graphique
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_dlg(titre,chaine1,chaine2)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : plot_dlg(titre, chaine1, chaine2)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Text','String',chaine1,...
    'Position',[10 taille_fen(4)/2+40 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[10  taille_fen(4)/2+20 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Text','String',chaine2,...
    'Position',[10 taille_fen(4)/2-10 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[10  taille_fen(4)/2-30 taille_fen(3)-20 20]);

