% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : rep_max_abs.m
% Source : Matlab
% Auteur : C.S.
% Date : 02/04/04
% Contenu : Repre le maximum absolu d'un signal sur un interval de temps
% prcis. Fonction max de matlab
%
% Il sera marqu par une couleur orang.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function rep_max_abs(sig,fech,tps)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : rep_max(signal, Fe, tps)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global COULEUR_MAX

[val_max,ind_max] = max(sig);

valeur_max_absolu = val_max

% Affichage
% Attention, ne pas modifier le code de couleur, 
% sinon l'effacage des min-max ne marchera plus.
% cf. eff_minmaxppz.m
hsub = subplot(gca);
limY = get(hsub,'Ylim');
hold on;
line([tps(ind_max) tps(ind_max)],limY,'Color', COULEUR_MAX); %sort of orange
hold off;