% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : rep_min_abs.m
% Source : Matlab
% Auteur : C.S.
% Date : 02/04/04
% Contenu : Repre le minimum absolu d'un signal sur un interval de temps
% prcis. Fonction min de matlab
%
% Il sera marqu par une couleur cyan.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function rep_min_abs(sig,fech,tps)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : rep_max(signal, Fe, tps)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global COULEUR_MIN

[val_min,ind_min] = min(sig);

valeur_min_absolu = val_min

% Affichage
% Attention, ne pas modifier le code de couleur, 
% sinon l'effacage des min-max ne marchera plus.
% cf. eff_minmaxppz.m
hsub = subplot(gca);
limY = get(hsub,'Ylim');
hold on;
line([tps(ind_min) tps(ind_min)],limY,'Color', COULEUR_MIN); %sort of cyan
hold off;