% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : select_fen.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Contenu : Slection de la fenetre clicke.
% Mise  jour des variables globales 
% NUM_FEN, NB_LIG, NB_COL
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function select_fen

pos_x=[];

global NB_LIG NB_COL NUM_FEN INDEX

% Efface le menu du plot (chgt d'chelle, etc.) s'il a t ouvert
eff_menu;

% Recherche du nombre de lignes et de colonnes du subplot de la
% fenetre
graph = findobj(gcf,'Type','axes');

% Donne la position de tous les subplots
for i = 1 : length(graph)
  p = get(graph(i), 'Position');
  pos_x = [pos_x, p(1)];
end

% Recherche le nombre de pos_x gaux, cela donne le nb de lignes
ind = find(pos_x == pos_x(1));

% Met  jour les variables globales dfinissant la fenetre
NUM_FEN = gcf;
NB_LIG = length(ind) -1; %il y a une ligne de plus pour le curseur et les tiquettes
NB_COL = length(graph) /length(ind);
