% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_curs_spec.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Contenu : Trouve position curseur +  modifie
%           l'emphase ou le niveau de gris
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_cur_spec(num)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  acou_cur_spec(num)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

pos_sb = get(gco,'value');

if num
  % Modification de l'emphase
  acou_emphase(round(pos_sb));
else
  % Modification du niveau de gris
  acou_niv_gris(round(pos_sb));
end
