% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lance_ecout.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 07.01.2000
%
% Modifi par CS le 07/02/16 :
%       Utilisation de ginputc 
%
% Contenu : Lance l'coute de la fenetre entire 
%           ou de l'extrait de signal slectionn.
%           Pour couter la fenetre : Cliquer 
%           avec le bouton de droite
%           Pour couter un extrait : Cliquer 
%           avec le bouton gauche puis droite.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_lance_ecout

global COULEUR_POINTEUR

% Attend que l'utilisateur ait click sur la zone  couter
% puis retourne les coordonnes
[pos_x,pos_y,bouton] = ginput(1);
%[pos_x,pos_y,bouton] = ginputc(1,'Color',COULEUR_POINTEUR);

% Teste si l'on effectue l'coute de la fenetre ou d'un extrait
if bouton == 1
  % Attend la deuxime coordonne
   [pos_x(2),pos_y(2)] = ginput(1);
%  [pos_x(2),pos_y(2)] = ginputc(1,'Color',COULEUR_POINTEUR);

  % Lance l'coute
  acou_ecout_ext(pos_x(1),pos_x(2));
  
else  
  acou_ecout_fen;
end


