% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : calc_acc_old.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Modifi par CS le 08/12/03 : passage du vecteur vit de ligne en colonne 
% Dernire modif : HL, CS 22.01.04
% Contenu : Calcule l'acclration d'un signal
%           avec la formule drive de la drive 
%           de la position (ordre 1) 
%           moins prcis que calc_acc_ord3.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [acc] =  calc_acc_old(sig,fech)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : calc_acc(signal, Fe)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

figNumber=watchon;

long = length(sig);

acc = zeros(1,long);

% Calcul de la vitesse
vit = calc_vit(sig,fech);

% Calcul de l'acclration
%acc(2 : long) = calc_vit(vit(2 : long)',fech); modif CS
acc(2 : long) = calc_vit(vit(2 : long),fech);
watchoff(figNumber);
