% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : choix_trait_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 24.09.99
% Contenu : Boite de dialogue permettant de choisir
%           le type de trait pour le trac 
%           (pointill, continu, etc.)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function choix_trait_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : choix_trait_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Checkbox','String','.    point    ',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2+35 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','o   cercle   ',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','x   croix    ',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-35 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','+   plus     ',...
    'Backgroundcolor','w',...
    'Position',[10+taille_fen(3)-220 taille_fen(4)/2+35 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','-   continu  ',...
    'Backgroundcolor','w',...
    'Position',[10+taille_fen(3)-220 taille_fen(4)/2 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','*    toile   ',...
    'Backgroundcolor','w',...
    'Position',[10+taille_fen(3)-220 taille_fen(4)/2-35 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String',':   pointill ',...
    'Backgroundcolor','w',...
    'Position',[15+2*(taille_fen(3)-220) taille_fen(4)/2+35 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','-. tiret mixe',...
    'Backgroundcolor','w',...
    'Position',[15+2*(taille_fen(3)-220) taille_fen(4)/2 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Checkbox','String','--  tiret  ',...
    'Backgroundcolor','w',...
    'Position',[15+2*(taille_fen(3)-220) taille_fen(4)/2-35 taille_fen(3)-220 30]);
