% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_acc.m
% Source : Matlab
% Auteur : CS
% Date : 06/07/06
% Contenu : Trace l'acclration du signal EGG
%          dans la fenetre principale
%          avec la formule du dveloppement limit  
%          l'ordre 3
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_acc(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_acc(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EGG_TPS EGG_FECH

% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end

% Calcul de l'acclration
acc = calc_acc_ord3(sig,EGG_FECH);

% Affichage
trace_graphe(acc,EGG_TPS,['ACC. ',nom], '-', [1 1 0]);
