% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_acc_dlg.m
% Source : Matlab
% Auteur : CS
% Date : 06/07/06
% Contenu : Dfinition de la boite de choix
%           des acclrations des sgx EGG issus de la DT3016
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_acc_dlg

global NB_EGG

% Definition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');
num_fen = figure('Numbertitle','off','Name','Acclration des signaux EGG',...
    'Units','pixel','MenuBar', 'none', 'Position',[taille_ecran(3)/2-160 ...
      taille_ecran(4)/2-40 270 80]);

% Definition du bouton Fermer
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 60 20],'Callback','delete(gcf)')

% Definition des boutons EGG
if NB_EGG == 4
    uicontrol(num_fen,'Style','PushButton','String','EGG1',...
        'Position',[10 40 50 25],'Callback','egg_call_acc(1)');
    uicontrol(num_fen,'Style','PushButton','String','EGG2',...
        'Position',[10+taille_fen(3)/4 40 50 25],'Callback','egg_call_acc(2)');
    uicontrol(num_fen,'Style','PushButton','String','EGG3',...
        'Position',[10+2*(taille_fen(3)/4) 40 50 25],'Callback','egg_call_acc(3)');
    uicontrol(num_fen,'Style','PushButton','String','EGG4',...
        'Position',[10+3*(taille_fen(3)/4') 40 50 25],'Callback','egg_call_acc(4)');
elseif NB_EGG == 3
    uicontrol(num_fen,'Style','PushButton','String','EGG1',...
        'Position',[10 40 50 25],'Callback','egg_call_acc(1)');
    uicontrol(num_fen,'Style','PushButton','String','EGG2',...
        'Position',[10+taille_fen(3)/4 40 50 25],'Callback','egg_call_acc(2)');
    uicontrol(num_fen,'Style','PushButton','String','EGG3',...
        'Position',[10+2*(taille_fen(3)/4) 40 50 25],'Callback','egg_call_acc(3)');
elseif NB_EGG == 2
    uicontrol(num_fen,'Style','PushButton','String','EGG1',...
        'Position',[10 40 50 25],'Callback','egg_call_acc(1)');
    uicontrol(num_fen,'Style','PushButton','String','EGG2',...
        'Position',[10+taille_fen(3)/4 40 50 25],'Callback','egg_call_acc(2)');
else % NB_EGG == 1
    uicontrol(num_fen,'Style','PushButton','String','EGG1',...
        'Position',[10 40 50 25],'Callback','egg_call_acc(1)');
end
