% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_vit.m
% Source : Matlab
% Auteur : CS
% Date : 06/07/06
% Contenu : Trace la vitesse du signal EGG
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_vit(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_vit(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EGG_TPS EGG_FECH

% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end

% Calcul de la vitesse
vit = calc_vit(sig,EGG_FECH);

trace_graphe(vit,EGG_TPS,['VIT. ',nom], '-', [ 1 1 0]);

