% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_active_elec.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Slectionne l'lectrode clique.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_active_elec

global EPG_POS_ELEC EPG_NB_ELEC

% Rcupre les coord. de la souris
coord = get(gca,'CurrentPoint');

% Calcule la distance entre chaque point du palais et le point click
for i=1 : EPG_NB_ELEC
  dist(i) = abs((EPG_POS_ELEC(2,i)-coord(1,1))) + abs((EPG_POS_ELEC(1,i)-coord(1,2)));
end

% Recherche le point correspondant  la distance minimale
[val,pt_selec] = min(dist);

% Active ou dsactive ce point
hold on;
plot(EPG_POS_ELEC(2,pt_selec),EPG_POS_ELEC(1,pt_selec),'r.','MarkerSize',25);
hold off;

