% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_call_traj.m
% Source : Matlab
% Auteur : H. Loevenbruck et cS
% Date : 03/12/03
% Contenu : Appelle eva_traj.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_call_traj(numero)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_call_traj(numero)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EVA_TPS1 EVA_TPS2 EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2

switch numero
    case 1
        eva_traj(EVA_WA1,EVA_TPS1,'WA1')
    case 2
        eva_traj(EVA_WA2,EVA_TPS1,'WA2')
    case 3
        eva_traj(EVA_F0,EVA_TPS1,'F0')
    case 4
        eva_traj(EVA_EGG,EVA_TPS1,'EGG')
    case 5
        eva_traj(EVA_OAF,EVA_TPS2,'OAF')
    case 6
        eva_traj(EVA_NAF,EVA_TPS2,'NAF')
    case 7
        eva_traj(EVA_PR1,EVA_TPS2,'PR1')
    case 8
        eva_traj(EVA_PR2,EVA_TPS2,'PR2')
end
    
        

  
