% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_call_vit.m
% Source : Matlab
% Auteur : H. Loevenbruck et CS
% Date : 03/12/03
% Contenu : Appelle eva_vit.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_call_vit(numero)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_call_traj(numero)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2 EVA_INT

switch numero
    case 1
        eva_vit(EVA_WA1,'WA1')
    case 2
        eva_vit(EVA_WA2,'WA2')
    case 3
        eva_vit(EVA_F0,'F0')
    case 4
        eva_vit(EVA_EGG,'EGG')
    case 5
        eva_vit(EVA_INT,'INT')
    case 6
        eva_vit(EVA_OAF,'OAF')
    case 7
        eva_vit(EVA_NAF,'NAF')
    case 8
        eva_vit(EVA_PR1,'PR1')
    case 9
        eva_vit(EVA_PR2,'PR2')
end
    
        

  
