% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_lire_ouv_dlg.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 04/12/03
% Contenu : Lecture des caractristiques des  
%           signaux EVA  ouvrir
%
% Si plusieurs cases ont t coches, seule
% la dernire sera prise en compte.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_lire_ouv_dlg

%=====================================
% On rcupre les objets de type Edit
% Il y en a 6 pour les 6 types de 
% fichier possibles, on les trie dans
% l'ordre de prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

%=====================================
% On rcupre les objets de type Checkbox
% Il y en a 9 pour les 9 types de 
% fichier possibles, on les trie dans
% l'ordre de prsentation  l'cran
%=====================================
obj_box = findobj(gcf,'Style','checkbox');
[box_tries, ind_box_tries] = sort(obj_box);

for i = 1 : 9
   if get(obj_box(ind_box_tries(i)), 'Value')
      nomfic = get(obj_edit(ind_edit_tries(i)),'String');
      typefic = get(obj_box(ind_box_tries(i)),'String');
      eva_ouv(nomfic, typefic);
  end
end

if isempty(nomfic) | isempty(typefic)
  errordlg(' Il manque une ou plusieurs donnes !','Erreur','on');
  nomfic = [];
  typefic = [];
  return;

else
  delete(gcf);
end

