% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_enr_formant_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 28.10.02
% Contenu : Lecture du nom de fichier pour les
%           formants  enregistrer.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[nomfic] =  lire_enr_formant_dlg

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

nomfic = get(obj_edit(ind_edit_tries(1)),'string');

if isempty(nomfic)
  errordlg(' Il manque le nom du fichier','Erreur','on');
  nomfic = [];
  return;
else
  delete(gcf);
end

