% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_marq.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 18.10.99
%
%
% Contenu : Lecture du nom et du niveau de 
%           l'tiquette.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function lire_marq

% On rcupre les objets de type Edit
fils_edit = findobj(gcf,'Style','edit');

% Lecture de la donne saisie par l'utilisateur
nom = get(fils_edit,'String');

% Si pas de valeur, alors Erreur!
if isempty(nom)
  errordlg(' Veuillez rentrer le nom','Erreur','on');
else   

  % Lecture du niveau
  popup = findobj(gcf,'Style','popupmenu');
  niveau = get(popup,'Value');
  delete(gcf);
  
  % Rcupre les coordonnes du Click
  pos_etiq = ginput(1);
%   pos_etiq = ginputc(1,'Color', COULEUR_POINTEUR);
  marquer(pos_etiq(1),nom,niveau);
end 
