% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_val.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration: 21.06.99
% Contenu : Lit la valeur saisie dans une boite
%          de dialogue
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [var] = lire_val

% On recupere les objets de type Edit
fils_edit = findobj(gcf,'Style','edit');

% Lecture de la donnee saisie par l'utilisateur
temp = get(fils_edit,'String');

% Si pas de valeur, alors Erreur!
if isempty(temp)
  errordlg(' Veuillez rentrer une valeur','Erreur','on');
else   
  var = temp;
  delete(gcf);
end 
