% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : maj_curseur.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 22.09.99
% Contenu : Met  jour le curseur
%           pour que ses bornes inf et sup
%           correspondent  celle du graphe
%           slectionn  la souris.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function maj_curseur

global NB_LIG NB_COL INDEX

% Rcupre les limites de l'axe des X courant
xlim = get(subplot(NB_LIG+1,NB_COL,INDEX),'Xlim');

% Configure le Slider avec les limites de l'axe
sb = findobj(gcf,'Style','Slider');
set(sb,'Min',xlim(1)/xlim(2));
set(sb,'Max',1);
%      set(sb,'Min',xlim(1));
%      set(sb,'Max',xlim(2));

