% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : maj_graphe_courant.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 03.09.99
% Contenu : Met  jour l'index de subplot courant,
%           correspondant au graphe courant ou 
%           slectionn  la souris.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function maj_graphe_courant

global NB_LIG NB_COL INDEX NUM_FEN

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);

fig_max = NB_LIG*NB_COL;
axes_courant = gca;
sub_invisible = subplot(NB_LIG+1,NB_COL,NB_LIG*NB_COL+1);
sub_courant = subplot(NB_LIG+1,NB_COL,INDEX);

if (axes_courant ~= sub_invisible)
  while (axes_courant ~= sub_courant)
    if  INDEX == 1;
      INDEX = fig_max;
    else
      INDEX = INDEX -1;
    end
    sub_courant = subplot(NB_LIG+1,NB_COL,INDEX);
  end
end

% Rcupre les limites de l'axe des X courant
xlim = get(subplot(NB_LIG+1,NB_COL,INDEX),'Xlim');

%Met  jour l'chelle des X du subplot invisible
set(sub_invisible, 'Xlim', xlim);
