% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : plot_menu.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Cration du menu de chgt d'chelle,
%           de titre, de nom, de type de trait, etc. 
%           pour chaque graphique
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_menu

global NB_LIG NB_COL INDEX CURSEUR

eff_menu;

point_courant = get(gcf,'Currentpoint');

uicontrol(gcf,'style','pushbutton','String','Echelle',...
   'Position',[point_courant(1,1) point_courant(1,2)-15 80 15],...
    'Callback','eff_menu;echelle_dlg(''Echelle'')');

uicontrol(gcf,'style','pushbutton','String','Nom',...
    'Position',[point_courant(1,1) point_courant(1,2)-30 80 15],...
    'Callback','eff_menu;plot_dlg(''Nom'',''Axe des X :'',''Axe des Y :'')');

uicontrol(gcf,'style','pushbutton','String','Titre',...
    'Position',[point_courant(1,1) point_courant(1,2)-45 80 15],...
    'Callback','eff_menu;option(''Titre'',''Titre du graphique :'')');

uicontrol(gcf,'style','pushbutton','String','Trait',...
    'Position',[point_courant(1,1) point_courant(1,2)-60 80 15],...
    'Callback','eff_menu;choix_trait_dlg(''Choix du trait'')');

uicontrol(gcf,'style','pushbutton','String','Filtrage',...
    'Position',[point_courant(1,1) point_courant(1,2)-75 80 15],...
    'Callback','eff_menu;param_filtre_dlg(''Paramtres du filtre'')');



maj_graphe_courant; % mise  jour de l'index des graphes
if CURSEUR
    maj_curseur; 
end
active_graphe; % active le graphe courant et dsactive les autres 
