% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : pos_curs.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 20.09.99
% Contenu : Retourne la position du curseur
% Dernire modification : CS, le 8/10/17
%   ajout d'un test si graphe actif vide
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function pos_curs

global NUM_FEN NB_LIG NB_COL INDEX

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

figure(NUM_FEN)

% Rcupre les limites de l'axe des X courant
xlim = get(subplot(NB_LIG+1,NB_COL,INDEX),'Xlim');

if xlim(2) == 1
    msgbox('Veuillez slectionner un graphe actif', 'Warning', 'warn')
    return
else
    % Configure le Slider avec les limites de l'axe
    sb = findobj(gcf,'Style','Slider');
    set(sb,'Min',xlim(1));
    set(sb,'Max',xlim(2));
    
    % Rcupre la valeur pointe par le curseur
    pos_sb = get(sb,'value');
    
    % Met  jour les fenetres synchrones
    curseur(pos_sb);
end
